View Issue Details

IDProjectCategoryView StatusLast Update
0003059Ham Radio DeluxeBugpublic2019-11-07 05:35
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.168 
Target VersionFixed in Version6.5.0.196 
Summary0003059: Logbook's redundantly loads same solar file three times
DescriptionThe logbook can display solar data from NOAA. The data comes from a couple sources and is merged to gether. Thing is, the Logbook redundantly downloads the same file three times. It uses high, median, and low values and mistakenly downloads the file three times ... but all three datum are in the same file.

There's no need for this -- too much processing, chance that one or more could fail, delays the data, and so on. The logbook also keeps copies of these files in its resources; three of the same instead of just one.

Steps To Reproduce1) Start up the logbook
2) Observe the logifle tab
3) You'll find three redundant downloads, like this:

18:13:00  LoadURL        Got 4232 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:13:00  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:13:00  LoadURL        Got 4232 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:13:00  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:13:00  LoadURL        Got 4232 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"

TagsNo tags attached.
ModuleLogbook
Sub-ModuleGrayline
Testing Beta Successful

Relationships

related to 0002941 closedWA9PIE LB: Solar Cycle Progression broke 

Activities

K7ZCZ

2019-01-12 09:40

administrator   ~0006973

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4706

WA9PIE

2019-01-13 14:27

administrator   ~0006985

Validated

Issue History

Date Modified Username Field Change
2019-01-11 20:45 K7ZCZ New Issue
2019-01-11 20:50 K7ZCZ Relationship added related to 0002941
2019-01-12 09:40 K7ZCZ Assigned To => K7ZCZ
2019-01-12 09:40 K7ZCZ Status new => resolved
2019-01-12 09:40 K7ZCZ Resolution open => fixed
2019-01-12 09:40 K7ZCZ Note Added: 0006973
2019-01-13 14:17 WA9PIE Fixed in Version => 6.5.0.180
2019-01-13 14:27 WA9PIE Status resolved => closed
2019-01-13 14:27 WA9PIE Description Updated View Revisions
2019-01-13 14:27 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-13 14:27 WA9PIE Testing Not Started => Beta Successful
2019-01-13 14:27 WA9PIE Note Added: 0006985
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.180 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-11-07 05:35 WA9PIE Fixed in Version 6.5.0.183 => 6.5.0.196